// --------------------------------------------------------------------
//  Easy MIDI Player 
//  ̂܂܃vOincludeĎgpĉB
//  ACN[hꍇ́AWindowsGUIAvƂĐA
//  winmm.libNĉB
//  eg> bcc32 -W miditest winmm.lib
// --------------------------------------------------------------------

#ifndef _EZ_MIDI_PLAYER_
#define _EZ_MIDI_PLAYER_

class EZMIDIPlayer{
	private:
	  char filename[256] ;
	  char startcommand[256] ;
	  int  playing ;
	public:
	  EZMIDIPlayer(char *midi_fname){
	    playing=0 ;
	    change(midi_fname) ;
	  } ;
	  ~EZMIDIPlayer(){} ;
	  void change(char *midifile){
	    if(playing) stop() ;
	    strcpy(filename,midifile) ;
	    wsprintf(startcommand,"Open %s Alias FILE",filename) ;
	    playing=0 ;
	  } ;
	  void play(void){
	    if(playing) stop() ;
	    mciSendString(startcommand,NULL,0,0) ;
	    mciSendString("Play FILE notify",NULL,0,0) ;
	    playing=1 ;
	  }
	  void play(HWND notify_hwnd){
	    if(playing) stop() ;
	    mciSendString(startcommand,NULL,0,0) ;
	    mciSendString("Play FILE notify",NULL,0,notify_hwnd) ;
	    playing=1 ;
	  }
	  void pause(void){
	    if(!playing) return ;
	    mciSendString("Pause FILE",NULL,0,0) ;
	  }
	  void stop(void){
	    if(!playing) return ;
	    mciSendString("Close FILE",NULL,0,0) ;
	    playing=0 ;
	  }
} ;

#endif
